# Update a tooling record (/docs/api-reference/products/ToolingController_update)

`PATCH /api/factories/{factoryId}/products/{productId}/tooling/{toolingId}`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `productId` | path | yes | string | Product ID |
| `toolingId` | path | yes | string | Tooling ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "toolCode": {
      "type": "string"
    },
    "toolName": {
      "type": "string"
    },
    "toolType": {
      "type": "string",
      "enum": [
        "Mold",
        "Progressive die",
        "Die",
        "Fixture",
        "Tool",
        "Trim tool"
      ]
    },
    "cavities": {
      "type": "number"
    },
    "ratedLife": {
      "type": "number"
    },
    "usedLife": {
      "type": "number"
    },
    "lifeUnit": {
      "type": "string",
      "enum": [
        "shots",
        "cycles",
        "strokes",
        "hits"
      ]
    },
    "note": {
      "type": "string"
    }
  }
}
```

## Responses

### 200: Tooling record updated